Bug 1838614 - OC status shows wrong project name
Summary: OC status shows wrong project name
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.3.z
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
: 4.4.z
Assignee: Jan Chaloupka
QA Contact: zhou ying
URL:
Whiteboard:
Depends On: 1826676
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-21 12:41 UTC by Jan Chaloupka
Modified: 2020-06-02 11:18 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1826676
Environment:
Last Closed: 2020-06-02 11:18:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift oc pull 432 None closed bug 1838614: Backport oc status project 4.5 changes 2020-06-18 14:56:18 UTC
Red Hat Product Errata RHBA-2020:2310 None None None 2020-06-02 11:18:56 UTC

Comment 3 zhou ying 2020-05-25 05:50:56 UTC
[root@dhcp-140-138 cucushift]# oc version -o yaml 
clientVersion:
  buildDate: "2020-05-23T09:59:41Z"
  compiler: gc
  gitCommit: 4fb2d4d96e6b604f7d4ee49080238a5aec04dc4f
  gitTreeState: clean
  gitVersion: 4.3.23-202005230952-4fb2d4d
  goVersion: go1.12.12
  major: ""
  minor: ""
  platform: linux/amd64
[root@dhcp-140-138 cucushift]# oc get project --kubeconfig=/root/.kube/config 
NAME        DISPLAY NAME   STATUS
zhouytttt                  Active
[root@dhcp-140-138 cucushift]# oc status
In project default on server https://api.wewang-bug44z.qe.devcluster.openshift.com:6443

svc/openshift - kubernetes.default.svc.cluster.local
svc/kubernetes - 172.30.0.1:443 -> 6443

[root@dhcp-140-138 cucushift]# oc status  --kubeconfig=/root/.kube/config 
In project zhouytttt on server https://api.yinzhou25.qe.gcp.devcluster.openshift.com:6443

You have no services, deployment configs, or build configs.
Run 'oc new-app' to create an application.

Comment 5 errata-xmlrpc 2020-06-02 11:18:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2310


Note You need to log in before you can comment on or make changes to this bug.